How to enable third party plugins for BabelConfig? #248

Closed
joskoanicic opened this Issue Mar 18, 2016 · 1 comment

Projects

None yet

2 participants

@joskoanicic

I am trying to use transform-decorators-legacy plugin, but because it's not part of the preset plugins I get this error:

Invalid plugin specified in Babel options: "transform-decorators-legacy"

Is there a way to include or set the path to the plugin js?

Thank you.

P.S. Forgot to mention that I am using .NET Bundling and Minification

@Daniel15
Member
Daniel15 commented Apr 7, 2016

transform-decorators-legacy was added to babel-standalone in 78ad50a8068771b9fa07ac162d37f910d9245b44, so I just need to update the version of babel-standalone bundled with ReactJS.NET.

Currently, there's no way to use custom Babel transforms with ReactJS.NET if they're not bundled with babel-standalone.

@Daniel15 Daniel15 closed this Apr 12, 2016
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment